--[[
Copyright (c) 2010, LordFarlander
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
]]--
local Broker_RecZone = _G["Broker_RecZone"];

if( not Broker_RecZone ) then
    return;
end--if

--[[
"name;low;high;continent;type;faction;flags;zones",
name can be | seperated, first is map name, after is alternates, optional displayname marked with !
flags:
    b: number of bosses    
    d: holiday that has a holiday boss
    f: flyable
    h: heroic in format hlow,high or hlow,high,bosses
    m: mountable
    p: progression
    r: comma seperated list of brackets, in the form low:high
    s: comma seperated list of sizes
    u: underwater
    v: WoW version zone was added in
    x: WoW version zone was removed in
zones is | seperated indecies and the field is optional
]]--
Broker_RecZone.vars.packedZones = {
    [1] = "Blade's Edge Arena;0;0;BRECZONE_OUTLAND;BRECZONE_ARENA;BRECZONE_CONTESTED;m",
    [2] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;133|111",
    [3] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;66|90",
    [4] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;13|90",
    [5] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_CONTESTED;;124|97",
    [6] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;82|90",
    [7] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;66|210",
    [8] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;111|209",
    [9] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_CONTESTED;;206|231",
    [10] = "Boat;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_CONTESTED;;207|231",
    [11] = "Dalaran;0;0;BRECZONE_NORTHREND;BRECZONE_CITY;BRECZONE_SANCTUARY;m;244|237|29|30|31|32|33|34|35|36|37|38|39|40|41|42|43|44|45|46|47|48|49|50|51|52|53",
    [12] = "Dalaran Sewers;0;0;BRECZONE_NORTHREND;BRECZONE_ARENA;BRECZONE_CONTESTED;m",
    [13] = "Darnassus;0;0;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_ALLIANCE;m;88|4|56",
    [14] = "Deeprun Tram;0;0;BRECZONE_EASTERN;BRECZONE_CITY;BRECZONE_ALLIANCE;;66|16",
    [15] = "Hyjal;0;0;BRECZONE_KALIMDOR;BRECZONE_NONE;BRECZONE_CONTESTED;m",
    [16] = "Ironforge;0;0;BRECZONE_EASTERN;BRECZONE_CITY;BRECZONE_ALLIANCE;m;14|83|196|21|55",
    [17] = "Moonglade;0;0;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_CONTESTED;m;163|151",
    [18] = "Nagrand Arena;0;0;BRECZONE_OUTLAND;BRECZONE_ARENA;BRECZONE_CONTESTED;m",
    [19] = "Orb of Translocation;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;65|76",
    [20] = "Orgrimmar;0;0;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_HORDE;m;84|101|58",
    [21] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;64|16",
    [22] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;64|66",
    [23] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;64|13",
    [24] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;64|76",
    [25] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;64|20",
    [26] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;64|74",
    [27] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;64|67",
    [28] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;64|65",
    [29] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|16",
    [30] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|66",
    [31] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|13",
    [32] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|67",
    [33] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|64",
    [34] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|76",
    [35] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|20",
    [36] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|74",
    [37] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|65",
    [38] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|64",
    [39] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|251",
    [40] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|251",
    [41] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_CONTESTED;;11|194",
    [42] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|100",
    [43] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|114",
    [44] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|156",
    [45] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|186",
    [46] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|234",
    [47] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|99",
    [48] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|114",
    [49] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|156",
    [50] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|186",
    [51] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|234",
    [52] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;11|266",
    [53] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;11|266",
    [54] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;66|146",
    [55] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;16|146",
    [56] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;13|146",
    [57] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_ALLIANCE;;67|146",
    [58] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;20|146",
    [59] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;76|146",
    [60] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;74|146",
    [61] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;65|146",
    [62] = "Portal;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;",
    [63] = "Ruins of Lordaeron;0;0;BRECZONE_EASTERN;BRECZONE_ARENA;BRECZONE_CONTESTED;m",
    [64] = "Shattrath City;0;0;BRECZONE_OUTLAND;BRECZONE_CITY;BRECZONE_SANCTUARY;f|m;187|230|21|22|23|24|25|26|27|28",
    [65] = "Silvermoon City;0;0;BRECZONE_EASTERN;BRECZONE_CITY;BRECZONE_HORDE;m;86|19|196|61",
    [66] = "Stormwind City;0;0;BRECZONE_EASTERN;BRECZONE_CITY;BRECZONE_ALLIANCE;m;14|85|112|3|7|54",
    [67] = "The Exodar;0;0;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_ALLIANCE;m;82|57",
    [68] = "The Forbidding Sea;0;0;BRECZONE_EASTERN;BRECZONE_NONE;BRECZONE_CONTESTED;m",
    [69] = "The Frozen Sea;0;0;BRECZONE_NORTHREND;BRECZONE_NONE;BRECZONE_CONTESTED;f|m",
    [70] = "The Great Sea;0;0;BRECZONE_NOWHERE;BRECZONE_NONE;BRECZONE_CONTESTED;m",
    [71] = "The North Sea;0;0;BRECZONE_EASTERN;BRECZONE_NONE;BRECZONE_CONTESTED;m",
    [72] = "The Ring of Valor;0;0;BRECZONE_KALIMDOR;BRECZONE_ARENA;BRECZONE_CONTESTED;m",
    [73] = "The Veiled Sea;0;0;BRECZONE_KALIMDOR;BRECZONE_NONE;BRECZONE_CONTESTED;m",
    [74] = "Thunder Bluff;0;0;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_HORDE;m;87|60",
    [75] = "Twisting Nether;0;0;BRECZONE_OUTLAND;BRECZONE_NONE;BRECZONE_CONTESTED;f|m",
    [76] = "Undercity;0;0;BRECZONE_EASTERN;BRECZONE_CITY;BRECZONE_HORDE;m;19|89|59",
    [77] = "Zeppelin;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;89|84",
    [78] = "Zeppelin;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;89|125",
    [79] = "Zeppelin;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;84|125",
    [80] = "Zeppelin;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;84|211",
    [81] = "Zeppelin;0;0;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_HORDE;;89|208",
    [82] = "Azuremyst Isle;1;12;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_ALLIANCE;m;91|67|6",
    [83] = "Dun Morogh;1;12;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_ALLIANCE;m;16|94|116",
    [84] = "Durotar;1;12;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_HORDE;m;20|98|150|77|79|80",
    [85] = "Elwynn Forest;1;12;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_ALLIANCE;m;66|96|102|109",
    [86] = "Eversong Woods;1;12;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_HORDE;m;93|65",
    [87] = "Mulgore;1;12;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_HORDE;m;74|98",
    [88] = "Teldrassil;1;12;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_ALLIANCE;m;13",
    [89] = "Tirisfal Glades;1;12;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_HORDE;m;76|95|154|77|78|119|81",
    [90] = "Auberdine;10;20;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_ALLIANCE;;92|3|4",
    [91] = "Bloodmyst Isle;10;20;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_ALLIANCE;m;82",
    [92] = "Darkshore;10;20;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_ALLIANCE;m;107|90",
    [93] = "Ghostlands;10;20;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_HORDE;m;86|161|227",
    [94] = "Loch Modan;10;20;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_ALLIANCE;m;83|113|129",
    [95] = "Silverpine Forest;10;20;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_HORDE;m;89|110|120|103",
    [96] = "Westfall;10;20;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_ALLIANCE;m;85|109|104",
    [97] = "Ratchet;10;25;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_CONTESTED;;98|5",
    [98] = "The Barrens;10;25;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_HORDE;m;97|84|87|106|107|117|130|105|115|127|99",
    [99] = "Warsong Gulch|WSG;10;-1;BRECZONE_KALIMDOR;BRECZONE_BATTLEGROUND;BRECZONE_HORDE;s10|r10:19,20:29,30:39,40:49,50:59,60:69,70:79,80:80|m;98",
    [100] = "Warsong Gulch|WSG;10;-1;BRECZONE_KALIMDOR;BRECZONE_BATTLEGROUND;BRECZONE_ALLIANCE;s10|r10:19,20:29,30:39,40:49,50:59,60:69,70:79,80:80|m;107",
    [101] = "Ragefire Chasm|RFC;15;25;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4;20",
    [102] = "Redridge Mountains;15;25;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;85|153",
    [103] = "Shadowfang Keep|SFK;15;25;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b8|dBRECZONE_LOVE_IS_IN_THE_AIR;95",
    [104] = "The Deadmines|VC|DMVC|DM;15;25;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b8;96",
    [105] = "Wailing Caverns|WC;15;25;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b8;98",
    [106] = "Stonetalon Mountains;15;27;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;98|107|122",
    [107] = "Ashenvale;15;30;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;92|98|106|150|151|108|100",
    [108] = "Blackfathom Deeps|BFD;19;29;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b8;107",
    [109] = "Duskwood;20;30;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;85|96|126|160",
    [110] = "Hillsbrad Foothills;20;30;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;95|120|121",
    [111] = "Menethil Harbor;20;30;BRECZONE_EASTERN;BRECZONE_CITY;BRECZONE_ALLIANCE;;113|2|8",
    [112] = "The Stockade|Stocks;20;30;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b5;66",
    [113] = "Wetlands;20;30;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;94|121|111",
    [114] = "Arathi Basin|AB;20;-1;BRECZONE_EASTERN;BRECZONE_BATTLEGROUND;BRECZONE_CONTESTED;s15|r20:29,30:39,40:49,50:59,60:69,70:79,80:80|m;121",
    [115] = "Razorfen Kraul|RFK;22;32;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b6;98",
    [116] = "Gnomeregan|GR|Gnome|Gnomer;23;33;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b7;83",
    [117] = "Thousand Needles;25;35;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;98|136|138",
    [118] = "Scarlet Monastery (Graveyard)|SMG|SM-G;27;37;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b2|dBRECZONE_HALLOWS_END;119",
    [119] = "Scarlet Monastery|SM;27;45;BRECZONE_EASTERN;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;89|118|123|128|131",
    [120] = "Alterac Mountains;30;40;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;95|110|139|154|156",
    [121] = "Arathi Highlands;30;40;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;113|110|114",
    [122] = "Desolace;30;40;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;106|136|142",
    [123] = "Scarlet Monastery (Library)|SML|SM-L;30;40;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b2;119",
    [124] = "Booty Bay;30;45;BRECZONE_EASTERN;BRECZONE_CITY;BRECZONE_CONTESTED;;126|5",
    [125] = "Grom'gol Base Camp;30;45;BRECZONE_EASTERN;BRECZONE_CITY;BRECZONE_HORDE;;126|78|79",
    [126] = "Stranglethorn Vale;30;45;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;124|109|125|173",
    [127] = "Razorfen Downs|RFD;32;42;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b5;98",
    [128] = "Scarlet Monastery (Armory)|SMA|SM-A;32;42;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b1;119",
    [129] = "Badlands;35;45;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;94|144|134",
    [130] = "Dustwallow Marsh;35;45;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;98|133|260",
    [131] = "Scarlet Monastery (Cathedral)|SMC|SM-C;35;45;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3;119",
    [132] = "Swamp of Sorrows;35;45;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;146|160|145",
    [133] = "Theramore Isle;35;45;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_ALLIANCE;;130|2",
    [134] = "Uldaman;35;45;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b8;129",
    [135] = "Maraudon (Purple Crystals)|Mara;39;49;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3;142",
    [136] = "Feralas;40;50;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;117|122|158",
    [137] = "Gadgetzan;40;50;BRECZONE_KALIMDOR;BRECZONE_CITY;BRECZONE_CONTESTED;;138",
    [138] = "Tanaris;40;50;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;117|152|137|141|194",
    [139] = "The Hinterlands;40;50;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;120|154",
    [140] = "Maraudon (Orange Crystals)|Mara;41;51;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4;142",
    [141] = "Zul'Farrak|ZF;41;51;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b8|m;138",
    [142] = "Maraudon;41;53;BRECZONE_KALIMDOR;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;122|140|135|143",
    [143] = "Maraudon (Pristine Waters)|Mara;41;53;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4;142",
    [144] = "Searing Gorge;43;50;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;129|149",
    [145] = "The Temple of Atal'Hakkar|ST|Temple|!Sunken Temple;45;55;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b10;132",
    [146] = "Blasted Lands;47;55;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;132|177",
    [147] = "Blackrock Depths (Lower City)|BRD;47;57;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b1;148",
    [148] = "Blackrock Depths;47;61;BRECZONE_EASTERN;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;149|147",
    [149] = "Blackrock Mountain;47;62;BRECZONE_EASTERN;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;144|153|148|165",
    [150] = "Azshara;48;55;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;84|107",
    [151] = "Felwood;48;55;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;92|107|163|17",
    [152] = "Un'Goro Crater;48;55;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;138|162",
    [153] = "Burning Steppes;50;60;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;102|149",
    [154] = "Western Plaguelands;50;60;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;89|120|139|161|168",
    [155] = "Blackrock Depths (Upper City)|BRD;51;61;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b19|dBRECZONE_BREWFEST;148",
    [156] = "Alterac Valley|AV;51;-1;BRECZONE_EASTERN;BRECZONE_BATTLEGROUND;BRECZONE_CONTESTED;s40|r51:60,61:70,71:79,80:80|m;120",
    [157] = "Dire Maul (East)|DME|DM-E;53;63;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b5;158",
    [158] = "Dire Maul|DM;53;65;BRECZONE_KALIMDOR;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;136|157|167|166",
    [159] = "Plaguelands: The Scarlet Enclave;55;58;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m",
    [160] = "Deadwind Pass;55;60;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;109|132|222",
    [161] = "Eastern Plaguelands;55;60;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;154|169|93",
    [162] = "Silithus;55;60;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;152|179|182",
    [163] = "Winterspring;55;60;BRECZONE_KALIMDOR;BRECZONE_ZONE;BRECZONE_CONTESTED;m;17|151",
    [164] = "Blackrock Spire|BRS;55;65;BRECZONE_EASTERN;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;149|165",
    [165] = "Blackrock Spire|LBRS|!Lower Blackrock Spire;55;65;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b9;164",
    [166] = "Dire Maul (North)|DMN|DM-N;55;65;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b7;158",
    [167] = "Dire Maul (West)|DMW|DM-W;55;65;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b5;158",
    [168] = "Scholomance|Scholo;55;65;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b13;154",
    [169] = "Stratholme;55;65;BRECZONE_EASTERN;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;161|170|171",
    [170] = "Stratholme (Main Gate)|Strat;55;65;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b10;169",
    [171] = "Stratholme (Service Entrance)|Strat;55;65;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b7;169",
    [172] = "Blackrock Spire|UBRS|!Upper Blackrock Spire;56;63;BRECZONE_EASTERN;BRECZONE_RAID;BRECZONE_CONTESTED;p-1|s10;165|180",
    [173] = "Zul'Gurub|ZG;56;63;BRECZONE_EASTERN;BRECZONE_RAID;BRECZONE_CONTESTED;p1|s20|m;126",
    [174] = "Hellfire Ramparts|HFR|Ramp|Ramps|Ramparts;57;67;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75;175",
    [175] = "Hellfire Citadel;57;75;BRECZONE_OUTLAND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;176|174|178|203|223",
    [176] = "Hellfire Peninsula;58;63;BRECZONE_OUTLAND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;183|187|175|177",
    [177] = "The Dark Portal;58;-1;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_CONTESTED;;176|146",
    [178] = "The Blood Furnace|BF;59;68;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75;175",
    [179] = "Ahn'Qiraj|AQ20;60;63;BRECZONE_KALIMDOR;BRECZONE_RAID;BRECZONE_CONTESTED;p4|s20|m;162",
    [180] = "Blackwing Lair|BWL;60;63;BRECZONE_EASTERN;BRECZONE_RAID;BRECZONE_CONTESTED;p5|s40;172",
    [181] = "Molten Core|MC;60;63;BRECZONE_EASTERN;BRECZONE_RAID;BRECZONE_CONTESTED;p3|s40;148",
    [182] = "Temple of Ahn'Qiraj|AQ40;60;63;BRECZONE_EASTERN;BRECZONE_RAID;BRECZONE_CONTESTED;p6|s40|m;162",
    [183] = "Zangarmarsh;60;64;BRECZONE_OUTLAND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;176|187|192|195|189",
    [184] = "The Slave Pens|SP;60;69;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75|dBRECZONE_MIDSUMMER_FIRE_FESTIVAL;189",
    [185] = "The Underbog|UB|Bog;61;70;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b5|h70,75;189",
    [186] = "Eye of the Storm|EotS|Eye;61;-1;BRECZONE_OUTLAND;BRECZONE_BATTLEGROUND;BRECZONE_CONTESTED;s15|r61:69,70:79,80:80|m",
    [187] = "Terokkar Forest;62;65;BRECZONE_OUTLAND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;176|183|192|199|190|64",
    [188] = "Mana-Tombs|MT|Tombs;62;70;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75;190",
    [189] = "Coilfang Reservoir;62;75;BRECZONE_OUTLAND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;183|184|185|204|224",
    [190] = "Ring of Observance|!Auchindoun;62;75;BRECZONE_OUTLAND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;187|191|200|197|188",
    [191] = "Auchenai Crypts|AC|Crypts;63;72;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b2|h70,75;190",
    [192] = "Nagrand;64;67;BRECZONE_OUTLAND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;183|187",
    [193] = "Old Hillsbrad Foothills|!The Escape from Durnholde;64;73;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75|m;194",
    [194] = "Caverns of Time;64;80;BRECZONE_KALIMDOR;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;138|193|205|221|248",
    [195] = "Blade's Edge Mountains;65;68;BRECZONE_OUTLAND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;183|198|220",
    [196] = "Isle of Quel'Danas;65;70;BRECZONE_EASTERN;BRECZONE_ZONE;BRECZONE_CONTESTED;m;212|225|16|65",
    [197] = "Sethekk Halls|Seth|Sethekk;65;73;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b2|h70,75,3;190",
    [198] = "Netherstorm;67;70;BRECZONE_OUTLAND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;195|213",
    [199] = "Shadowmoon Valley;67;70;BRECZONE_OUTLAND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;187|219",
    [200] = "Shadow Labyrinth|SL|Lab|Slabs|Shadow Labs;67;75;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h70,75;190",
    [201] = "The Botanica|Bot;67;75;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b5|h70,75;213",
    [202] = "The Mechanar|Mech;67;75;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h70,75;213",
    [203] = "The Shattered Halls|SH;67;75;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75;175",
    [204] = "The Steamvault|SV|Vaults;67;75;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75;189",
    [205] = "The Black Morass|!Opening the Dark Portal;68;70;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75|m;194",
    [206] = "Borean Tundra;68;72;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;231|240|218|210|211",
    [207] = "Howling Fjord;68;72;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;236|216|209|208",
    [208] = "New Agamand;68;72;BRECZONE_NORTHREND;BRECZONE_CITY;BRECZONE_HORDE;;207",
    [209] = "Valgarde;68;72;BRECZONE_NORTHREND;BRECZONE_CITY;BRECZONE_ALLIANCE;;207|10",
    [210] = "Valiance Keep;68;72;BRECZONE_NORTHREND;BRECZONE_CITY;BRECZONE_ALLIANCE;;207|9",
    [211] = "Warsong Hold;68;72;BRECZONE_NORTHREND;BRECZONE_CITY;BRECZONE_HORDE;;207|80",
    [212] = "Magisters' Terrace|MgT|MsT|MrT|QD5|MT;68;75;BRECZONE_EASTERN;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h70,75;196",
    [213] = "Tempest Keep;68;75;BRECZONE_OUTLAND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;198|202|201|214|226",
    [214] = "The Arcatraz|AZ|Arca;68;75;BRECZONE_OUTLAND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b5|h70,75;213",
    [215] = "Utgarde Keep|UK;68;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h80,83;216",
    [216] = "Utgarde Keep;68;83;BRECZONE_NORTHREND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;207|215|250",
    [217] = "The Nexus|Nex|Nexus;69;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83,5;218",
    [218] = "Coldarra|!The Nexus;69;83;BRECZONE_NORTHREND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;206|217|249|261",
    [219] = "Black Temple|BT;70;73;BRECZONE_OUTLAND;BRECZONE_RAID;BRECZONE_CONTESTED;p8|s25;199",
    [220] = "Gruul's Lair|GL;70;73;BRECZONE_OUTLAND;BRECZONE_RAID;BRECZONE_CONTESTED;p2|s25;195",
    [221] = "Hyjal Summit|HY|MH|!Battle for Mount Hyjal;70;73;BRECZONE_KALIMDOR;BRECZONE_RAID;BRECZONE_CONTESTED;p7|s25|m;194",
    [222] = "Karazhan|KZ|Kara;70;73;BRECZONE_EASTERN;BRECZONE_RAID;BRECZONE_CONTESTED;p1|s10;160",
    [223] = "Magtheridon's Lair|ML|Mag;70;73;BRECZONE_OUTLAND;BRECZONE_RAID;BRECZONE_CONTESTED;p3|s25;175",
    [224] = "Serpentshrine Cavern|SSC;70;73;BRECZONE_OUTLAND;BRECZONE_RAID;BRECZONE_CONTESTED;p5|s25;189",
    [225] = "Sunwell Plateau|SWP|QD25;70;73;BRECZONE_EASTERN;BRECZONE_RAID;BRECZONE_CONTESTED;p9|s25|m;196",
    [226] = "The Eye|Eye|TE;70;73;BRECZONE_OUTLAND;BRECZONE_RAID;BRECZONE_CONTESTED;p6|s25;213",
    [227] = "Zul'Aman|ZA;70;73;BRECZONE_EASTERN;BRECZONE_RAID;BRECZONE_CONTESTED;p4|s10|m;93",
    [228] = "Azjol-Nerub|AN|Nerub;70;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h80,83;229",
    [229] = "The Pit of Narjun;70;83;BRECZONE_NORTHREND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;231|228|232",
    [230] = "Portal;70;-1;BRECZONE_NOWHERE;BRECZONE_TRANSPORT;BRECZONE_CONTESTED;;64|196",
    [231] = "Dragonblight;71;74;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;206|238|236|244|229|268|259",
    [232] = "Ahn'kahet: The Old Kingdom|AK|Kahet|Old Kingdom;71;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83,5;229",
    [233] = "Isle of Conquest|IoC;71;-1;BRECZONE_NORTHREND;BRECZONE_BATTLEGROUND;BRECZONE_CONTESTED;s40|r71:79,80:80|m",
    [234] = "Strand of the Ancients|SotA;71;-1;BRECZONE_NORTHREND;BRECZONE_BATTLEGROUND;BRECZONE_CONTESTED;s15|r71:79,80:80|m",
    [235] = "Drak'Tharon Keep|DTK|DK;72;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83;236",
    [236] = "Grizzly Hills;73;75;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;207|238|231|235",
    [237] = "The Violet Hold|VH;73;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h80,83;11",
    [238] = "Zul'Drak;74;77;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;236|244|231|239",
    [239] = "Gundrak|GD|Gun;74;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83,5;238",
    [240] = "Sholazar Basin;75;78;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;206",
    [241] = "Halls of Stone|HoS;75;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83;242",
    [242] = "Ulduar;75;83;BRECZONE_NORTHREND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;243|241|245|265",
    [243] = "The Storm Peaks;76;80;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;244|242",
    [244] = "Crystalsong Forest;77;80;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;11|238|231|247|243",
    [245] = "Halls of Lightning|HoL;77;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83;242",
    [246] = "Hrothgar's Landing;77;80;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;247",
    [247] = "Icecrown;77;80;BRECZONE_NORTHREND;BRECZONE_ZONE;BRECZONE_CONTESTED;f|m;244|257|256|246",
    [248] = "The Culling of Stratholme|CoS;77;80;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83,5|m;194",
    [249] = "The Oculus|OCC;77;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83|m;218",
    [250] = "Utgarde Pinnacle|UP;77;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b4|h80,83;216",
    [251] = "Wintergrasp|WG;77;80;BRECZONE_NORTHREND;BRECZONE_PVP;BRECZONE_PVP;f|m;267",
    [252] = "Halls of Reflection|HoR;80;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h80,83;257",
    [253] = "Pit of Saron|PoS;80;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h80,83;257",
    [254] = "The Forge of Souls|FoS;80;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b2|h80,83;257",
    [255] = "Trial of the Champion;80;80;BRECZONE_NORTHREND;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b3|h80,83|m;256",
    [256] = "Argent Tournament Grounds;80;83;BRECZONE_NORTHREND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;247|255|264",
    [257] = "Icecrown Citadel;80;83;BRECZONE_NORTHREND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;247|258|254|253|252",
    [258] = "Icecrown Citadel|ICC|IC;80;83;BRECZONE_NORTHREND;BRECZONE_RAID;BRECZONE_CONTESTED;p8|s10,25|h80,83;257",
    [259] = "Naxxramas|Naxx;80;83;BRECZONE_NORTHREND;BRECZONE_RAID;BRECZONE_CONTESTED;p1|s10,25;231",
    [260] = "Onyxia's Lair|Ony|Onx|Onyxia;80;83;BRECZONE_KALIMDOR;BRECZONE_RAID;BRECZONE_CONTESTED;p5|s10,25;130",
    [261] = "The Eye of Eternity|EoE|Eye;80;83;BRECZONE_NORTHREND;BRECZONE_RAID;BRECZONE_CONTESTED;p3|s10,25;218",
    [262] = "The Obsidian Sanctum|OS|TOS;80;83;BRECZONE_NORTHREND;BRECZONE_RAID;BRECZONE_CONTESTED;p2|s10,25;268",
    [263] = "The Ruby Sanctum|RS|TRS;80;83;BRECZONE_NORTHREND;BRECZONE_RAID;BRECZONE_CONTESTED;p7|s10,25|v30305;268",
    [264] = "Trial of the Crusader;80;83;BRECZONE_NORTHREND;BRECZONE_RAID;BRECZONE_CONTESTED;p6|s10,25|h80,83|m;256",
    [265] = "Ulduar|Uld;80;83;BRECZONE_NORTHREND;BRECZONE_RAID;BRECZONE_CONTESTED;p4|s10,25|m;242",
    [266] = "Vault of Archavon|VoA;80;83;BRECZONE_NORTHREND;BRECZONE_RAID;BRECZONE_CONTESTED;p0|s10,25;267",
    [267] = "Wintergrasp Fortress;80;83;BRECZONE_NORTHREND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;251|266",
    [268] = "Wyrmrest Temple;80;83;BRECZONE_NORTHREND;BRECZONE_COLLECTOR;BRECZONE_CONTESTED;;231|262|263",
    [269] = "Battle for Gilneas City|BGC;81;-1;BRECZONE_EASTERN;BRECZONE_BATTLEGROUND;BRECZONE_CONTESTED;s40|r81:85|m|v40000",
    [270] = "Lost City of Tol'vir|LCoT|Tol'vir;84;85;BRECZONE_KALIMDOR;BRECZONE_DUNGEON;BRECZONE_CONTESTED;b-1|h85,85|v40000;",
    [271] = "Tol Barad|TB;84;85;BRECZONE_EASTERN;BRECZONE_PVP;BRECZONE_PVP;f|m|v40000",
};
